"""clock_entry tips

Revision ID: 4d0e57a6de81
Revises: 2caed45e3853
Create Date: 2019-07-14 07:36:02.897542

"""
from alembic import op
from sqlalchemy import (
    Column,
    Integer,
    Date,
    DateTime,
    Time,
)


# revision identifiers, used by Alembic.
revision = '4d0e57a6de81'
down_revision = 'd72102c4391f'
branch_labels = None
depends_on = None

first_agent_version = '19.7.19'


def upgrade():
    engine = op.get_bind()

    with op.batch_alter_table('clock_entries') as batch_op:
        batch_op.add_column(Column('cc_tips', Integer, nullable=True))
        batch_op.add_column(Column('cash_tips', Integer, nullable=True))
        batch_op.add_column(Column('net_tips', Integer, nullable=True))


def downgrade():
    engine = op.get_bind()

    with op.batch_alter_table('clock_entries') as batch_op:
        batch_op.drop_column('cc_tips')
        batch_op.drop_column('cash_tips')
        batch_op.drop_column('net_tips')